//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "stdio.h"
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
        TGroupBox *CommGroupBox;
        TRadioGroup *ComportRadioGroup;
        TButton *ComOpenButton;
        TButton *SendButton;
        TMemo *SendStringMemo;
        TMemo *ReceiveStringMemo;
        TLabel *Label1;
        TRadioGroup *BaudrateRadioGroup;
        TButton *ReceiveMemoClearButton;
        void __fastcall ComOpenButtonClick(TObject *Sender);
        void __fastcall SendButtonClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall ReceiveMemoClearButtonClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
int SIO_Init(int comport, int baudrate);
int SIO_Send(int comport, char c);
int SIO_Read(int comport, char *c);
int SIO_SendStr(int comport, char *s);
int SIO_ReadStr(int comport, char *str);
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
